Bug 444235 - Review Request: djview4 - DjVu viewer
Summary: Review Request: djview4 - DjVu viewer
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 374621 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-25 21:36 UTC by Terje Røsten
Modified: 2012-02-21 18:32 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-24 12:04:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Terje Røsten 2008-04-25 21:36:43 UTC
Spec URL: http://terjeros.fedorapeople.org/djview4/djview4.spec
SRPM URL: http://terjeros.fedorapeople.org/djview4/djview4-4.3-1.fc9.src.rpm
Description:

DjView4 is a DjVu document viewer with the following features:
 o continuous scrolling of pages
 o side-by-side display of pages
 o display thumbnails as a grid
 o display outlines
 o page names supported
 o metadata dialog

It's based on DjVuLibre and Qt4.

Comment 1 Neal Becker 2008-04-25 22:09:27 UTC
Sure, take it.

Comment 2 Terje Røsten 2008-04-29 18:32:10 UTC
*** Bug 374621 has been marked as a duplicate of this bug. ***

Comment 3 Jason Tibbitts 2008-08-10 22:30:09 UTC
Builds fine and rpmlint is silent.

I note that the compiler is called properly everywhere except when compiling nsdejavu.c.  However, the plugin isn't actually installed by this package, so I'm not going to worry about it.  However, if in the future you decide to turn on the plugin, you'll have several things to look at.  (The licensing is different, for one thing.)

Your scriptlets seem to be missing the
  if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
  fi
part.  See http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#GTK.2B_icon_cache



* source files match upstream:
   a783c3700f32d31b0a2a8662d5e2abcd1b4ab3cc129543daaa8af9211135e911  
   djview4-4.3.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
? compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   djview4 = 4.3-1.fc10
   djview4(x86-64) = 4.3-1.fc10
  =
   /bin/sh
   libQtCore.so.4()(64bit)
   libQtGui.so.4()(64bit)
   libQtNetwork.so.4()(64bit)
   libX11.so.6()(64bit)
   libXext.so.6()(64bit)
   libdjvulibre.so.15()(64bit)
   libgcc_s.so.1()(64bit)
   libgcc_s.so.1(GCC_3.0)(64bit)
   libjpeg.so.62()(64bit)
   libstdc++.so.6()(64bit)
   libstdc++.so.6(CXXABI_1.3)(64bit)
   libstdc++.so.6(GLIBCXX_3.4)(64bit)

* %check is not present; no test suite upstream.  I have not tested this 
   package.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
X scriptlets missing icon cache update.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.
* desktop files valid and installed properly.

Comment 4 Terje Røsten 2008-08-12 19:16:22 UTC
> I note that the compiler is called properly everywhere except when compiling
> nsdejavu.c.  However, the plugin isn't actually installed by this package, so
> I'm not going to worry about it.  However, if in the future you decide to turn
> on the plugin, you'll have several things to look at.  (The licensing is
> different, for one thing.)

Ok, thanks for heads up.
 
> Your scriptlets seem to be missing the
>   if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
>     %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
>   fi
> part.  See
> http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#GTK.2B_icon_cache

Fixed in updated package:

spec: http://terjeros.fedorapeople.org/djview4/djview4.spec
srpm: http://terjeros.fedorapeople.org/djview4/djview4-4.3-2.fc9.src.rpm

Comment 5 Jason Tibbitts 2008-08-17 14:42:19 UTC
Looks good to me.

APPROVED

Comment 6 Terje Røsten 2008-08-19 17:54:01 UTC
Thanks tibbs!

New Package CVS Request
=======================
Package Name: djview4
Short Description: DjVu viewer
Owners: terjeros
Branches: F-8 F-9
InitialCC:

Comment 7 Kevin Fenzi 2008-08-23 17:51:10 UTC
cvs done.

Comment 8 Terje Røsten 2008-08-24 12:04:37 UTC
Built and pushed.

Comment 9 Jonathan Underwood 2012-02-21 18:19:49 UTC
Package Change Request
======================
Package Name: djview4
New Branches: el6
Owners: jgu
InitialCC: terjeros

Comment 10 Gwyn Ciesla 2012-02-21 18:32:46 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.